{
	"normal": {
		"bidirectional": [
			[
				"barbarian",
				"barbarian_2"
			],
			[
				"barbarian_2",
				"barbarian_3_berserker"
			],
			[
				"barbarian_2",
				"barbarian_3_wildmagic"
			],
			[
				"barbarian_2",
				"barbarian_3_zealot"
			],
			[
				"barbarian_3_zealot",
				"barbarian_4_zealot"
			],
			[
				"barbarian_4_zealot",
				"barbarian_5_zealot"
			],
			[
				"barbarian_5_zealot",
				"barbarian_6_zealot"
			],
			[
				"barbarian_6_zealot",
				"barbarian_7_zealot"
			],
			[
				"barbarian_7_zealot",
				"barbarian_8_zealot"
			],
			[
				"barbarian_3_wildmagic",
				"barbarian_4_wildmagic"
			],
			[
				"barbarian_4_wildmagic",
				"barbarian_5_wildmagic"
			],
			[
				"barbarian_5_wildmagic",
				"barbarian_6_wildmagic"
			],
			[
				"barbarian_6_wildmagic",
				"barbarian_7_wildmagic"
			],
			[
				"barbarian_7_wildmagic",
				"barbarian_8_wildmagic"
			],
			[
				"barbarian_3_berserker",
				"barbarian_4_berserker"
			],
			[
				"barbarian_4_berserker",
				"barbarian_5_berserker"
			],
			[
				"barbarian_5_berserker",
				"barbarian_6_berserker"
			],
			[
				"barbarian_6_berserker",
				"barbarian_7_berserker"
			],
			[
				"barbarian_7_berserker",
				"barbarian_8_berserker"
			],
			[
				"fighter",
				"fighter_2"
			],
			[
				"fighter_2",
				"fighter_3_eldritchknight"
			],
			[
				"fighter_2",
				"fighter_3_samurai"
			],
			[
				"fighter_2",
				"fighter_3_battlemaster"
			],
			[
				"rogue",
				"rogue_2"
			],
			[
				"rogue_2",
				"rogue_3_arcanetrickster"
			],
			[
				"rogue_2",
				"rogue_3_assassin"
			],
			[
				"rogue_2",
				"rogue_3_swashbuckler"
			],
			[
				"paladin",
				"paladin_2"
			],
			[
				"paladin_2",
				"paladin_3_devotion"
			],
			[
				"paladin_2",
				"paladin_3_watchers"
			],
			[
				"paladin_2",
				"paladin_3_oathbreaker"
			],
			[
				"cleric",
				"cleric_2"
			],
			[
				"cleric_2",
				"cleric_3_death"
			],
			[
				"cleric_2",
				"cleric_3_life"
			],
			[
				"cleric_2",
				"cleric_3_nature"
			],
			[
				"sorcerer",
				"sorcerer_2"
			],
			[
				"sorcerer_2",
				"sorcerer_3_divine"
			],
			[
				"sorcerer_2",
				"sorcerer_3_storm"
			],
			[
				"sorcerer_2",
				"sorcerer_3_wild"
			],
			[
				"warlock_2",
				"warlock_3_archfey"
			],
			[
				"warlock_2",
				"warlock_3_genie"
			],
			[
				"warlock_2",
				"warlock_3_hexblade"
			],
			[
				"warlock",
				"warlock_2"
			],
			[
				"wizard",
				"wizard_2"
			],
			[
				"wizard_2",
				"wizard_3_bladesinger"
			],
			[
				"wizard_2",
				"wizard_3_evocation"
			],
			[
				"wizard_2",
				"wizard_3_war"
			],
			[
				"fighter_3_battlemaster",
				"fighter_4_battlemaster"
			],
			[
				"fighter_4_battlemaster",
				"fighter_5_battlemaster"
			],
			[
				"fighter_5_battlemaster",
				"fighter_6_battlemaster"
			],
			[
				"fighter_6_battlemaster",
				"fighter_7_battlemaster"
			],
			[
				"fighter_7_battlemaster",
				"fighter_8_battlemaster"
			],
			[
				"fighter_3_eldritchknight",
				"fighter_4_eldritchknight"
			],
			[
				"fighter_4_eldritchknight",
				"fighter_5_eldritchknight"
			],
			[
				"fighter_5_eldritchknight",
				"fighter_6_eldritchknight"
			],
			[
				"fighter_6_eldritchknight",
				"fighter_7_eldritchknight"
			],
			[
				"fighter_7_eldritchknight",
				"fighter_8_eldritchknight"
			],
			[
				"fighter_3_samurai",
				"fighter_4_samurai"
			],
			[
				"fighter_4_samurai",
				"fighter_5_samurai"
			],
			[
				"fighter_5_samurai",
				"fighter_6_samurai"
			],
			[
				"fighter_6_samurai",
				"fighter_7_samurai"
			],
			[
				"fighter_7_samurai",
				"fighter_8_samurai"
			],
			[
				"rogue_3_arcanetrickster",
				"warlock_4_archfey"
			],
			[
				"warlock_4_archfey",
				"rogue_5_arcanetrickster"
			],
			[
				"rogue_5_arcanetrickster",
				"rogue_6_arcanetrickster"
			],
			[
				"rogue_6_arcanetrickster",
				"rogue_7_arcanetrickster"
			],
			[
				"rogue_7_arcanetrickster",
				"rogue_8_arcanetrickster"
			],
			[
				"rogue_3_assassin",
				"warlock_4_genie"
			],
			[
				"warlock_4_genie",
				"rogue_5_assassin"
			],
			[
				"rogue_5_assassin",
				"rogue_6_assassin"
			],
			[
				"rogue_6_assassin",
				"rogue_7_assassin"
			],
			[
				"rogue_7_assassin",
				"rogue_8_assassin"
			],
			[
				"rogue_3_swashbuckler",
				"warlock_4_hexblade"
			],
			[
				"warlock_4_hexblade",
				"rogue_5_swashbuckler"
			],
			[
				"rogue_5_swashbuckler",
				"rogue_6_swashbuckler"
			],
			[
				"rogue_6_swashbuckler",
				"rogue_7_swashbuckler"
			],
			[
				"rogue_7_swashbuckler",
				"rogue_8_swashbuckler"
			],
			[
				"paladin_3_devotion",
				"rogue_4_arcanetrickster"
			],
			[
				"rogue_4_arcanetrickster",
				"paladin_5_devotion"
			],
			[
				"paladin_5_devotion",
				"paladin_6_devotion"
			],
			[
				"paladin_6_devotion",
				"paladin_7_devotion"
			],
			[
				"paladin_7_devotion",
				"paladin_8_devotion"
			],
			[
				"paladin_3_watchers",
				"rogue_4_assassin"
			],
			[
				"rogue_4_assassin",
				"paladin_5_watchers"
			],
			[
				"paladin_5_watchers",
				"paladin_6_watchers"
			],
			[
				"paladin_6_watchers",
				"paladin_7_watchers"
			],
			[
				"paladin_7_watchers",
				"paladin_8_watchers"
			],
			[
				"paladin_3_oathbreaker",
				"rogue_4_swashbuckler"
			],
			[
				"rogue_4_swashbuckler",
				"paladin_5_oathbreaker"
			],
			[
				"paladin_5_oathbreaker",
				"paladin_6_oathbreaker"
			],
			[
				"paladin_6_oathbreaker",
				"paladin_7_oathbreaker"
			],
			[
				"paladin_7_oathbreaker",
				"paladin_8_oathbreaker"
			],
			[
				"cleric_3_death",
				"wizard_4_bladesinger"
			],
			[
				"wizard_4_bladesinger",
				"cleric_5_death"
			],
			[
				"cleric_5_death",
				"cleric_6_death"
			],
			[
				"cleric_6_death",
				"cleric_7_nature"
			],
			[
				"cleric_7_nature",
				"wizard_8_war"
			],
			[
				"cleric_3_life",
				"wizard_4_evocation"
			],
			[
				"wizard_4_evocation",
				"cleric_5_life"
			],
			[
				"cleric_5_life",
				"cleric_6_life"
			],
			[
				"cleric_7_life",
				"wizard_8_evocation"
			],
			[
				"cleric_6_life",
				"cleric_7_life"
			],
			[
				"cleric_3_nature",
				"wizard_4_war"
			],
			[
				"wizard_4_war",
				"cleric_5_nature"
			],
			[
				"cleric_6_nature",
				"cleric_7_death"
			],
			[
				"cleric_7_death",
				"wizard_8_bladesinger"
			],
			[
				"cleric_5_nature",
				"cleric_6_nature"
			],
			[
				"sorcerer_3_divine",
				"paladin_4_devotion"
			],
			[
				"paladin_4_devotion",
				"sorcerer_5_divine"
			],
			[
				"sorcerer_5_divine",
				"sorcerer_6_divine"
			],
			[
				"sorcerer_6_divine",
				"sorcerer_7_divine"
			],
			[
				"sorcerer_7_divine",
				"cleric_8_death"
			],
			[
				"sorcerer_3_storm",
				"paladin_4_watchers"
			],
			[
				"paladin_4_watchers",
				"sorcerer_5_storm"
			],
			[
				"sorcerer_5_storm",
				"sorcerer_6_storm"
			],
			[
				"sorcerer_6_storm",
				"sorcerer_7_storm"
			],
			[
				"sorcerer_7_storm",
				"cleric_8_life"
			],
			[
				"sorcerer_3_wild",
				"paladin_4_oathbreaker"
			],
			[
				"paladin_4_oathbreaker",
				"sorcerer_5_wild"
			],
			[
				"sorcerer_5_wild",
				"sorcerer_6_wild"
			],
			[
				"sorcerer_6_wild",
				"sorcerer_7_wild"
			],
			[
				"sorcerer_7_wild",
				"cleric_8_nature"
			],
			[
				"warlock_3_archfey",
				"cleric_4_death"
			],
			[
				"cleric_4_death",
				"warlock_5_archfey"
			],
			[
				"warlock_5_archfey",
				"warlock_6_archfey"
			],
			[
				"warlock_6_archfey",
				"warlock_7_hexblade"
			],
			[
				"warlock_7_hexblade",
				"warlock_8_hexblade"
			],
			[
				"warlock_3_genie",
				"cleric_4_life"
			],
			[
				"cleric_4_life",
				"warlock_5_genie"
			],
			[
				"warlock_5_genie",
				"warlock_6_genie"
			],
			[
				"warlock_6_genie",
				"warlock_7_genie"
			],
			[
				"warlock_7_genie",
				"warlock_8_genie"
			],
			[
				"warlock_3_hexblade",
				"cleric_4_nature"
			],
			[
				"cleric_4_nature",
				"warlock_5_hexblade"
			],
			[
				"warlock_5_hexblade",
				"warlock_6_hexblade"
			],
			[
				"warlock_6_hexblade",
				"warlock_7_archfey"
			],
			[
				"warlock_7_archfey",
				"warlock_8_archfey"
			],
			[
				"wizard_3_bladesinger",
				"sorcerer_4_divine"
			],
			[
				"sorcerer_4_divine",
				"wizard_5_bladesinger"
			],
			[
				"wizard_5_bladesinger",
				"wizard_6_bladesinger"
			],
			[
				"wizard_7_bladesinger",
				"sorcerer_8_divine"
			],
			[
				"wizard_6_bladesinger",
				"wizard_7_bladesinger"
			],
			[
				"wizard_3_evocation",
				"sorcerer_4_storm"
			],
			[
				"sorcerer_4_storm",
				"wizard_5_evocation"
			],
			[
				"wizard_5_evocation",
				"wizard_6_evocation"
			],
			[
				"wizard_6_evocation",
				"wizard_7_evocation"
			],
			[
				"wizard_7_evocation",
				"sorcerer_8_storm"
			],
			[
				"wizard_3_war",
				"sorcerer_4_wild"
			],
			[
				"sorcerer_4_wild",
				"wizard_5_war"
			],
			[
				"wizard_5_war",
				"wizard_6_war"
			],
			[
				"wizard_6_war",
				"wizard_7_war"
			],
			[
				"wizard_7_war",
				"sorcerer_8_wild"
			]
		],
		"unidirectional": [
			[
				"warlock",
				"reset"
			],
			[
				"wizard",
				"reset"
			],
			[
				"barbarian",
				"reset"
			],
			[
				"fighter",
				"reset"
			],
			[
				"rogue",
				"reset"
			],
			[
				"paladin",
				"reset"
			],
			[
				"cleric",
				"reset"
			],
			[
				"sorcerer",
				"reset"
			]
		]
	},
	"exclusive": {
		"bidirectional": [
			[
				"wizard_3_bladesinger",
				"wizard_3_evocation"
			],
			[
				"wizard_3_evocation",
				"wizard_3_war"
			],
			[
				"barbarian_3_berserker",
				"barbarian_3_wildmagic"
			],
			[
				"barbarian_3_wildmagic",
				"barbarian_3_zealot"
			],
			[
				"fighter_3_battlemaster",
				"fighter_3_eldritchknight"
			],
			[
				"fighter_3_eldritchknight",
				"fighter_3_samurai"
			],
			[
				"rogue_3_arcanetrickster",
				"rogue_3_assassin"
			],
			[
				"rogue_3_assassin",
				"rogue_3_swashbuckler"
			],
			[
				"paladin_3_devotion",
				"paladin_3_watchers"
			],
			[
				"paladin_3_watchers",
				"paladin_3_oathbreaker"
			],
			[
				"cleric_3_death",
				"cleric_3_life"
			],
			[
				"cleric_3_life",
				"cleric_3_nature"
			],
			[
				"sorcerer_3_divine",
				"sorcerer_3_storm"
			],
			[
				"sorcerer_3_storm",
				"sorcerer_3_wild"
			],
			[
				"warlock_3_archfey",
				"warlock_3_genie"
			],
			[
				"warlock_3_genie",
				"warlock_3_hexblade"
			],
			[
				"barbarian",
				"fighter"
			],
			[
				"barbarian",
				"rogue"
			],
			[
				"barbarian",
				"paladin"
			],
			[
				"barbarian",
				"cleric"
			],
			[
				"barbarian",
				"sorcerer"
			],
			[
				"barbarian",
				"warlock"
			],
			[
				"barbarian",
				"wizard"
			],
			[
				"fighter",
				"rogue"
			],
			[
				"fighter",
				"paladin"
			],
			[
				"fighter",
				"cleric"
			],
			[
				"fighter",
				"sorcerer"
			],
			[
				"fighter",
				"warlock"
			],
			[
				"fighter",
				"wizard"
			],
			[
				"rogue",
				"paladin"
			],
			[
				"rogue",
				"cleric"
			],
			[
				"rogue",
				"sorcerer"
			],
			[
				"rogue",
				"warlock"
			],
			[
				"rogue",
				"wizard"
			],
			[
				"paladin",
				"cleric"
			],
			[
				"paladin",
				"sorcerer"
			],
			[
				"paladin",
				"warlock"
			],
			[
				"paladin",
				"wizard"
			],
			[
				"cleric",
				"sorcerer"
			],
			[
				"cleric",
				"warlock"
			],
			[
				"cleric",
				"wizard"
			],
			[
				"sorcerer",
				"warlock"
			],
			[
				"sorcerer",
				"wizard"
			],
			[
				"warlock",
				"wizard"
			],
			[
				"barbarian_3_berserker",
				"barbarian_3_zealot"
			],
			[
				"fighter_3_battlemaster",
				"fighter_3_samurai"
			],
			[
				"rogue_3_arcanetrickster",
				"rogue_3_swashbuckler"
			],
			[
				"paladin_3_devotion",
				"paladin_3_oathbreaker"
			],
			[
				"cleric_3_death",
				"cleric_3_nature"
			],
			[
				"sorcerer_3_divine",
				"sorcerer_3_wild"
			],
			[
				"warlock_3_archfey",
				"warlock_3_hexblade"
			],
			[
				"wizard_3_bladesinger",
				"wizard_3_war"
			]
		]
	}
}